Skip to main content
`Ctrl`+`K`

# PFCreate

Creates a mathematical function context.

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFCreate(MPI_Comm comm, PetscInt dimin, PetscInt dimout, PF *pf)

Collective

## Input Parameters

- comm - MPI communicator

- dimin - dimension of the space you are mapping from

- dimout - dimension of the space you are mapping to

## Output Parameter

- pf - the function context

## See Also

`PF`, `PFSet()`, `PFApply()`, `PFDestroy()`, `PFApplyVec()`

## Level

developer

## Location

src/vec/pf/interface/pf.c

## Examples

src/snes/tutorials/ex22.c

## Implementations

PFCreate_Constant() in src/vec/pf/impls/constant/const.c
PFCreate_Quick(PF pf, PetscErrorCode (*function)() in src/vec/pf/impls/constant/const.c
PFCreate_Identity() in src/vec/pf/impls/constant/const.c
PFCreate_Matlab() in src/vec/pf/impls/matlab/cmatlab.c
PFCreate_String() in src/vec/pf/impls/string/cstring.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages